import { Router } from "express";
import { requireAuth } from "../../../../pkg/middleware/authMiddleware.js";
import getModules from "./getModules.js";
import updateModules from "./updateModules.js";

const router = Router();

router.use("/", getModules);
router.use(
	"/update",
	requireAuth("system", ["systemAdmin", "admin"]),
	updateModules,
);

export default router;
